<?php
$isMaster = $this->environment()->getClient()->isMaster();
?>

<div ng-controller="keywordController as self">
    <div class="row separator" ng-if="self.loading">
        <div class="col-xs-12 text-center">
            <?= $this->icon('loading') ?>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2">
            <ul class="nav nav-pills nav-stacked">
                <li class="active">
                    <a><?= $this->translate('group_type_' . \Keyword\Entity\Group::GROUP_TYPE_KEYWORD) ?></a>
                </li>
                <li ng-repeat="group in self.keywords" ng-click="self.loadSunburstChart(group)" class="pointer">
                    <a>{{::group.name}}</a>
                </li>
            </ul>
        </div>
        <div ng-if="self.sunburst.data" class="col-sm-10">
            <div class="separator">
                <div class="section-title">
                    <b>{{self.sunburst.data[0].name}}</b>

                    <div class="btn-group">
                        <button class="btn btn-excel"
                                type="button"
                                ng-click="self.export('keywords', null, self.sunburst.data[0].group_id, true)"
                                tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                            <?= $this->icon('excel', 'fa-fw pointer') ?>
                        </button>
                    </div>
                </div>

                <nvd3 ng-if="self.sunburst.data[0].realSize > 0" options="self.sunburst.options" data="self.sunburst.data" api="self.sunburst.api"></nvd3>

                <div class="row">
                    <div class="col-xs-4">
                        <label for="settingsTime"><?= $this->translate('timesheet_field_convert') ?></label>
                        <settings-time-select name="settings-time" ng-model="settingsTime"></settings-time-select>
                    </div>
                </div>
                <table class="table table-bordered table-condensed table-hover">
                    <thead>
                        <tr>
                            <th><?= ucfirst($this->translate('keyword_entity')); ?></th>
                            <th><?= ucfirst($this->translate('timesheet_type_done')); ?></th>
                            <th><?= ucfirst($this->translate('timesheet_type_done_percent')); ?></th>
                            <th><?= ucfirst($this->translate('timesheet_type_target')); ?></th>
                            <th><?= ucfirst($this->translate('timesheet_type_target_percent')); ?></th>
                            <th><?= ucfirst($this->translate('timesheet_type_left')); ?></th>
                            <th><?= ucfirst($this->translate('timesheet_type_left_percent')); ?></th>
                        </tr>
                    </thead>
                    <tbody ng-repeat="data in self.all | filter: self.groupFilter">
                        <tr ng-repeat="keyword in data.keywords">
                            <td>{{ "&nbsp;".repeat(keyword.level * 4) + keyword.name }}</td>
                            <td class="text-right">{{ keyword.done | number:2 }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ keyword.done / settingsTime.hours | number:2 }} j.</span></td>
                            <td class="text-right">{{ keyword.percentDone | number:2 }}%</td>
                            <td class="text-right">{{ keyword.target | number:2  }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ keyword.target / settingsTime.hours | number:2 }} j.</span></td>
                            <td class="text-right">{{ keyword.percentTarget | number:2 }}%</td>
                            <td class="text-right">{{ keyword.target - keyword.done | number:2  }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ keyword.target - keyword.done / settingsTime.hours | number:2 }} j.</span></td>
                            <td class="text-right">{{ keyword.percentTarget - keyword.percentDone | number:2 }}%</td>
                        </tr>
                        <tr>
                            <td><?= $this->translate('total') ?></td>
                            <td class="text-right">{{ data.totalDone | number:2 }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ data.totalDone / settingsTime.hours | number:2 }} j.</span></td>
                            <td class="text-right">100%</td>
                            <td class="text-right">{{ data.totalTarget | number:2  }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ data.totalTarget / settingsTime.hours | number:2 }} j.</span></td>
                            <td class="text-right">100%</td>
                            <td class="text-right">{{ data.totalTarget - data.totalDone | number:2  }} h.<span ng-if="settingsTime.hours">&nbsp;&nbsp; / &nbsp;&nbsp; {{ (data.totalTarget - data.totalDone) / settingsTime.hours | number:2 }} j.</span></td>
                            <td class="text-right">100%</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
